//
//  AsynNetwork.h
//  PTM
//
//  Created by yuwei on 2011/5/11.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SocketClient.h"
@protocol AsynNetworkDelegate;


@interface AsynNetwork : NSObject <SocketClientDelegate>{
    NSMutableData *data;
    NSURL *url;
    id<AsynNetworkDelegate> delegate;
    NSURLConnection *connection;
}

@property(nonatomic, copy) NSMutableData *data;
@property(nonatomic, retain) NSURL *url;
@property(nonatomic, assign) id<AsynNetworkDelegate> delegate;

- (NSData *)asynDownloadData: (NSURL *)aUrl;
- (void)asynDownloadData:(NSURL *)url FromPeer:(NSNetService *)peer;
@end

@protocol AsynNetworkDelegate <NSObject>
- (void) asynDownload: (AsynNetwork *)asynNetwork didFailWithError: (NSError *)error;
- (void) asynDownloaddidFinish:(AsynNetwork *)asynNetwork;
@end