//
//  BonjourDiscoverSocketClient.h
//  SampleMulticast
//
//  Created by yuwei on 2011/5/3.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
@class  BonjourSocketServer;
@protocol BonjourDiscoverSocketClientDelegate;

@interface BonjourDiscoverSocketClient : NSObject<NSNetServiceBrowserDelegate, NSNetServiceDelegate> {
    NSNetServiceBrowser *netServiceBrowser;
    NSMutableArray *services;
    id<BonjourDiscoverSocketClientDelegate> delegate;
    
    BonjourSocketServer *myServer;
}

@property (nonatomic, retain) NSNetServiceBrowser *netServiceBrowser;
@property (nonatomic, retain) NSMutableArray *services;
@property (nonatomic, assign) id<BonjourDiscoverSocketClientDelegate> delegate;
@property (nonatomic, assign) BonjourSocketServer *myServer;
- (void)startSearchService;

@end

@protocol BonjourDiscoverSocketClientDelegate <NSObject>

- (void)servicesDidChange: (BonjourDiscoverSocketClient *) bdsClient;

@end