//
//  BonjourListViewController.h
//  PTM
//
//  Created by yuwei on 2011/5/10.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "BonjourDiscoverSocketClient.h"

#import "ModelManager.h"
#import "Content.h"

@interface BonjourListViewController : UITableViewController <UITableViewDataSource, UITableViewDelegate, BonjourDiscoverSocketClientDelegate, UIWebViewDelegate, AsynModelDelegate> {

    BonjourDiscoverSocketClient *bdsClient;
    NSArray *services;
    
    ModelManager *modelManager;
    UIWebView *webview;
    Content *page;
    NSURL *lastUrl;
    NSMutableSet *downloadPool;
}
@property (nonatomic, retain) BonjourDiscoverSocketClient *bdsClient;
@property (nonatomic, retain) ModelManager *modelManager;
@property (nonatomic, retain) UIWebView *webview;

@end
