//
//  WebBrowserViewController.h
//  PTM
//
//  Created by yuwei on 2011/5/9.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ModelManager.h"

@interface WebBrowserViewController : UIViewController <UIWebViewDelegate, UITextFieldDelegate, AsynModelDelegate> {
    
    UIWebView *webView;
    UITextField *urlField;
    UIActivityIndicatorView *loadingIndicator;
    UIBarButtonItem *previousButton;
    UIBarButtonItem *nextButton;
    
    ModelManager *modelManager;
}
@property (nonatomic, retain) IBOutlet UIWebView *webView;
@property (nonatomic, retain) IBOutlet UITextField *urlField;
@property (nonatomic, retain) IBOutlet UIActivityIndicatorView *loadingIndicator;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *previousButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *nextButton;
@property (nonatomic, retain) ModelManager *modelManager;


- (IBAction)previousPage:(id)sender;
- (IBAction)nextPage:(id)sender;
- (IBAction)loadPage:(id)sender;


@end
