//
//  BonjourPeer.m
//  SampleMulticast
//
//  Created by yuwei on 2011/5/9.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import "BonjourPeer.h"


@implementation BonjourPeer

@synthesize peer, set;

- (id) init {
    self = [super init];
    if (!self) {
        return nil;
    }
    set = [[NSMutableSet alloc] init];
    return self;
}

- (void) dealloc {
    [peer release];
    [set release];
    [super dealloc];

}

- (void) updateList: (NSMutableSet *) newSet {
#ifndef MERGE_MODE
    self.set = newSet;
#else
    [set unionSet:newSet];
#endif
}

- (void) removeAll {
    [set removeAllObjects];
}

- (void) removeList: (NSMutableSet *) newSet {
    [set minusSet:newSet];
}

- (BOOL) compare: (NSNetService *) service {
    if ([[peer name] compare:[service name]] == NSOrderedSame) {
        return YES;
    }
    return NO;
}

@end
