//
//  PTMAppDelegate.h
//  PTM
//
//  Created by yuwei on 2011/5/9.
//  Copyright 2011年 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ModelManager.h"
@class MyURLCache;
@class BonjourSocketServer;

@interface PTMAppDelegate : NSObject <UIApplicationDelegate> {

    UITabBarController *_tabBarController;
    MyURLCache *cache;
    ModelManager *modelManager;
    
    BonjourSocketServer *bsServer;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;

@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

@property (nonatomic, retain) IBOutlet UITabBarController *tabBarController;
@property (nonatomic, retain) MyURLCache *cache;
@property (nonatomic, retain) ModelManager *modelManager;
@property (nonatomic, retain) BonjourSocketServer *bsServer;
@end
